Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::EllipsoidModel Class Reference

EllipsoidModel encapsulates the ellipsoid used to model astronomical bodies, such as sun, planets, moon etc. More...

Inheritance diagram for osg::EllipsoidModel:

[legend]
List of all members.

## Public Member Functions
| EllipsoidModel (double radiusEquator=WGS_84_RADIUS_EQUATOR, double radiusPolar=WGS_84_RADIUS_POLAR)
| WGS_84 is a common representation of the earth's spheroid.
| EllipsoidModel (const EllipsoidModel &et, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Object (osg, EllipsoidModel)
void | setRadiusEquator (double radius)
double | getRadiusEquator () const
void | setRadiusPolar (double radius)
double | getRadiusPolar () const
void | convertLatLongHeightToXYZ (double latitude, double longitude, double height, double &X, double &Y, double &Z) const
void | convertXYZToLatLongHeight (double X, double Y, double Z, double &latitude, double &longitude, double &height) const
void | computeLocalToWorldTransformFromLatLongHeight (double latitude, double longitude, double height, osg::Matrixd &localToWorld) const
void | computeLocalToWorldTransformFromXYZ (double X, double Y, double Z, osg::Matrixd &localToWorld) const
osg::Vec3d | computeLocalUpVector (double X, double Y, double Z) const
## Protected Member Functions
void | computeCoefficients ()
## Protected Attributes
double | _radiusEquator
double | _radiusPolar
double | _eccentricitySquared

## Detailed Description

EllipsoidModel encapsulates the ellipsoid used to model astronomical bodies, such as sun, planets, moon etc.

## Constructor & Destructor Documentation

osg::EllipsoidModel::EllipsoidModel | ( | double | radiusEquator = WGS_84_RADIUS_EQUATOR,
|  | double | radiusPolar = WGS_84_RADIUS_POLAR
| ) | `[inline]`

| WGS_84 is a common representation of the earth's spheroid.

osg::EllipsoidModel::EllipsoidModel | ( | const EllipsoidModel & | et,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) | `[inline]`

## Member Function Documentation

void osg::EllipsoidModel::computeCoefficients | ( |  | ) | `[inline, protected]`

void osg::EllipsoidModel::computeLocalToWorldTransformFromLatLongHeight | ( | double | latitude,
|  | double | longitude,
|  | double | height,
|  | osg::Matrixd & | localToWorld
| ) | const`[inline]`

void osg::EllipsoidModel::computeLocalToWorldTransformFromXYZ | ( | double | X,
|  | double | Y,
|  | double | Z,
|  | osg::Matrixd & | localToWorld
| ) | const`[inline]`

osg::Vec3d osg::EllipsoidModel::computeLocalUpVector | ( | double | X,
|  | double | Y,
|  | double | Z
| ) | const`[inline]`

void osg::EllipsoidModel::convertLatLongHeightToXYZ | ( | double | latitude,
|  | double | longitude,
|  | double | height,
|  | double & | X,
|  | double & | Y,
|  | double & | Z
| ) | const`[inline]`

void osg::EllipsoidModel::convertXYZToLatLongHeight | ( | double | X,
|  | double | Y,
|  | double | Z,
|  | double & | latitude,
|  | double & | longitude,
|  | double & | height
| ) | const`[inline]`

double osg::EllipsoidModel::getRadiusEquator | ( |  | ) | const`[inline]`

double osg::EllipsoidModel::getRadiusPolar | ( |  | ) | const`[inline]`

osg::EllipsoidModel::META_Object | ( | osg | ,
|  | EllipsoidModel |
| ) |

void osg::EllipsoidModel::setRadiusEquator | ( | double | radius | ) | `[inline]`

void osg::EllipsoidModel::setRadiusPolar | ( | double | radius | ) | `[inline]`

## Member Data Documentation

double osg::EllipsoidModel::_eccentricitySquared`[protected]`

double osg::EllipsoidModel::_radiusEquator`[protected]`

double osg::EllipsoidModel::_radiusPolar`[protected]`

The documentation for this class was generated from the following file:

- CoordinateSystemNode